{
    "attributes": {
        "_author": {
            "isGenerated": false,
            "key": "_author",
            "origin": "e49378a2-f1a9-4b49-ad2e-5fd1e8340578",
            "type": "STRING",
            "value": "filatov"
        },
        "_description": {
            "isGenerated": false,
            "key": "_description",
            "origin": "e49378a2-f1a9-4b49-ad2e-5fd1e8340578",
            "type": "STRING",
            "value": "Check that time_start_and_end is included in the AA certificate validation restrictions;\r\nCheck that end_validity is greater than start_validity;\r\nCheck that validity restriction of AA certificate is inside the validity restriction of its issuing certificate\r\n"
        },
        "_expectedResults": {
            "isGenerated": false,
            "key": "_expectedResults",
            "origin": "e49378a2-f1a9-4b49-ad2e-5fd1e8340578",
            "type": "STRING",
            "value": "with {\r\n\tthe IUT being in the 'authorized' state\r\n\tthe IUT being requested to include certificate chain in the next CAM\r\n} ensure that {\r\n\t when {\r\n\t\tthe IUT is requested to send a CAM\r\n\t} then {\r\n\t\tthe IUT sends a SecuredMessage\r\n\t\t\tcontaining header_fields['signer_info'].signer\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'certificate_chain'\r\n\t\t\t\tcontaining certificates\r\n\t\t\t\t\tcontaining certificates[last-1]\r\n\t\t\t\t\t\tcontaining validity_restrictions\r\n\t\t\t\t\t\t\tcontaining validity_restrictions['time_start_and_end']\r\n\t\t\t\t\t\t\t\tcontaining start_validity\r\n\t\t\t\t\t\t\t\t\tindicating AA_START_VALIDITY\r\n\t\t\t\t\t\t\t\tcontaining end_validity\r\n\t\t\t\t\t\t\t\t\tindicating AA_END_VALIDITY >=AA_START_VALIDITY\r\n\t\t\t\t\t\tand containing signer_info\r\n\t\t\t\t\t\t\tcontaining digest\r\n\t\t\t\t\t\t\t\treferenced to the trusted certificate\r\n\t\t\t\t\t\t\t\t\tcontaining validity_restrictions['time_end']\r\n\t\t\t\t\t\t\t\t\t\tcontaining end_validity\r\n\t\t\t\t\t\t\t\t\t\t\tindicating value > AA_END_VALIDITY\r\n\t\t\t\t\t\t\t\t\tor containing validity_restrictions['time_start_and_end']\r\n\t\t\t\t\t\t\t\t\t\tcontaining start_validity\r\n\t\t\t\t\t\t\t\t\t\t\tindicating value <= AA_START_VALIDITY\r\n\t\t\t\t\t\t\t\t\t\tand containing end_validity\r\n\t\t\t\t\t\t\t\t\t\t\tindicating value > AA_END_VALIDITY\r\n\t\t\t\t\t\t\t\t\tor containing validity_restrictions['time_start_and_duration']\r\n\t\t\t\t\t\t\t\t\t\tcontaining start_validity\r\n\t\t\t\t\t\t\t\t\t\t\tindicating X_START_VALIDITY <= AA_START_VALIDITY\r\n\t\t\t\t\t\t\t\t\t\tand containing duration\r\n\t\t\t\t\t\t\t\t\t\t\tindicating value > AA_END_VALIDITY - X_START_VALIDITY\r\n\t}\r\n}"
        },
        "_status": {
            "isGenerated": false,
            "key": "_status",
            "origin": "e49378a2-f1a9-4b49-ad2e-5fd1e8340578",
            "type": "STRING",
            "value": "complete"
        },
        "_type": {
            "isGenerated": false,
            "key": "_type",
            "origin": "e49378a2-f1a9-4b49-ad2e-5fd1e8340578",
            "type": "STRING",
            "value": "TestPurpose"
        }
    },
    "uuid": "e49378a2-f1a9-4b49-ad2e-5fd1e8340578"
}